Subject: Re: [RAM] revised draft proposed definitions

From: Michael <[email-masked]>
Date: Wed, 04 Jul 2007 17:59:36 +0800

Hi, Tony,
----- Original Message ----- 
From: "Tony Li" <[email-masked]>
To: "Brian E Carpenter" <[email-masked]>
Cc: "RJ Atkinson" <[email-masked]>; <[email-masked]>
Sent: Wednesday, June 13, 2007 2:21 AM
Subject: Re: [RAM] revised draft proposed definitions

> 
>>    Identifier: A binary quantity (not necessarily an IP Address) that
>>    can be used by a Stack "A" to uniquely identify another Stack "B"
>>    both for bilateral communication and for informing a third Stack  
>> "C"
>>    that it should communicate with Stack "B".  (Note that there is an
>>    assumption in this definition that a Stack is the entity we require
>>    to identify; in this era of virtualized servers with failover
>>    capabilities, and of mobile clients, this seems to be a reasonable
>>    assumption.)
> 
> Brian,
> 
> I have a minor quibble with this, in that it's really defining a  
> stack identifier, not a generic identifier.
> 
> Any given proposal may choose to have identifiers at many levels  
> (e.g. transport connection identifiers, interface identifiers, host  
> identifiers, etc.) and the definition needs to either be sufficiently  
> abstract so as to encompass all of these, or the term being defined  
> needs to be qualified.

I agree with you, when we talk about identifier,  which layer the entity an identifier denotes belongs to must be specified.
I think  the ID in LISP trys to denote an entity at IP layer. I perfer this definition " an identifier denotes an entity belonging to some layer of network, it is unique at the specified layer".

Michael

> 
> Tony
> 
> _______________________________________________
> RAM mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ram
>

_______________________________________________
RAM mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ram